package com.njcn.advance.service.assess;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.advance.pojo.param.assess.AssessShockLoadParamQuery;
import com.njcn.advance.pojo.po.assess.AssessShockLoadParam;

import java.util.List;

/**
 * <p>
 * 评估用户冲击负荷参数 服务接口
 * </p>
 *
 * @author cdf
 * @since 2025-06-06
 */
public interface IAssessShockLoadParamService extends IService<AssessShockLoadParam> {

    /**
     * 根据冲击负荷ID查询详情
     */
    AssessShockLoadParam getByInpactloadId(String inpactloadId);

    /**
     * 根据评估用户ID查询冲击负荷参数列表
     */
    List<AssessShockLoadParam> listByAssessId(String assessId);

    /**
     * 根据冲击负荷类型ID查询参数列表
     */
    List<AssessShockLoadParam> listByTypeId(String inpactloadtypeId);

    /**
     * 新增评估用户冲击负荷参数
     */
    boolean add(AssessShockLoadParamQuery param);

    /**
     * 更新评估用户冲击负荷参数
     */
    void update(AssessShockLoadParamQuery.UpdateAssessShockLoadParamQuery updateQuery);
}